local function doFadeWipe(state)
  fadeWipe = celeste.FadeWipe(engine.Scene, state, nil)
  engine.Scene:Add(fadeWipe)
  fadeWipe.duration = 2
  fadeWipe.EndTimer = 1
end

function onBegin()

  if getFlag("idafoi2") then
  walkTo(4544)
  disablePause()
  disableMovement()
  waitUntilOnGround()
  walkTo(4576)
  wait(0.5)

  doFadeWipe(false)
  wait(1.3)

  setFlag("idafoi2", false)
  setFlag("idachegou2")

  end

end